Bug 782493 - Propose that you turn on PrivateTmp=true in service file for ctdb
Propose that you turn on PrivateTmp=true in service file for ctdb
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: ctdb (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Sumit Bose
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PrivateTmp
  Show dependency treegraph
 
Reported: 2012-01-17 10:34 EST by Daniel Walsh
Modified: 2012-02-07 09:35 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-07 03:41:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Walsh 2012-01-17 10:34:16 EST
I would like to propose using PrivateTmp for ctdb, to make it more secure
and avoid users from being able to potentially effect it.

http://fedoraproject.org/wiki/Features/ServicesPrivateTmp
Comment 1 Daniel Walsh 2012-02-06 15:46:25 EST
Any change on this bug.  We are coming up to Feature Freeze, and would like some comment on this bug.

If you do not believe this application uses /tmp than please comment on this and close the bug.  

If you believe this application needs to use /tmp to communicate with other applications or users then you can close this bug with that comment.

If your app does not use systemd, then close this bug with that comment.

If you have no idea, then please add a comment, and change the bug to assigned.

I need to update the status on this feature.


Thanks for your help.
Comment 2 Sumit Bose 2012-02-07 03:41:27 EST
Sorry for the late response. ctdb uses a socket in /tmp/ to communicate with other applications (samba) and the users via the ctdb client program.

I will reach out to upstream to see if it would be possible to move to socket to a more suitable place like /var/run or /var/lib/ctdb.
Comment 3 Daniel Walsh 2012-02-07 09:35:43 EST
Great, I would go with /var/run (/run)

Note You need to log in before you can comment on or make changes to this bug.